Supportanfrage

Far Remote Control wird in ADTF ja immer der Port 8000 als default genutzt. Wenn ich nun aber versuche den Port in den Remote
Control Options
zu andern scheint dies keinen Effekt zu haben.

Hier stelle ich den Port 44100 ein.

#! Enable remote connection

Please enter the URL of the running ADTF Launcher:
http://localhost:44100

Cancel

Hier wird zum default Port 8000 connected.

adtfplugin”
fplugin™ (Build Typ

d throu g h : h__:p :/flocalhos

Lésung

Du kannst den default port fir den quick launch nicht anpassen, der ist immer 8000.

Du hast nur Enable Remote Connection gewahlt, d.h du aktivierst eine Verbindung zu einen bereits laufenden Launcher auf der
Zieladresse fur die gewéhlte Session (deshalb ...running ADTF Launcher...).

Siehe https://support.digitalwerk.net/adtf/v3/guides/tools_adtf configuration_editor.html#remote_connection

Um vom CE aus auf einen anderen Port zu starten musst du entweder Launch And Enable Remote Connection (deshalb ... to run
https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#remote_connection

ADTF Launcher...) wahlen oder eine eigene Custom Launch Option in den Settings definieren.
Siehe auch https://support.digitalwerk.net/adtf/v3/guides/tools_adtf configuration_editor.html#options

History

#1 - 2022-01-12 09:43 - hidden
- Status changed from New to In Progress

- Customer set to CARIAD

#2 - 2022-01-12 12:26 - hidden
- Status changed from In Progress to Customer Feedback Required

- Topic set to ADTF::CE

Hallo Dennis,

kleiner Denkfehler: du kannst den default port fiir den quick launch nicht anpassen, der ist immer 8000.

Du hast nur Enable Remote Connection gewahlt, d.h du aktivierst eine Verbindung zu einen bereits laufenden Launcher auf der Zieladresse fiir die
gewahlte Session (deshalb ...running ADTF Launcher...).

Siehe https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#remote_connection

Um vom CE aus auf einen anderen Port zu starten musst du entweder Launch And Enable Remote Connection (deshalb ... to run ADTF
Launcher...) wahlen oder eine eigene Custom Launch Option in den Settings definieren.

Siehe auch https://support.digitalwerk.net/adtf/v3/guides/tools_adtf configuration_editor.html#options

#3 - 2022-01-14 11:16 - hidden

Hallo Florian,
vielen dank schonmal flr die Antwort.

Ich héatte da noch eine Verstandnisfrage. Wenn ich eine ADTF Session 2 mal mit Quick Launch starte und Quick Launch immer den Port 8000 nutzt,
musste dann nicht normalerweise das 2. mal starten fehlschlagen weil der gleiche Port benutzt wird?

Viele GruBe
Dennis

#4 - 2022-01-14 13:27 - hidden
Hallo Dennis,
theoretisch ja, auf Linux tut es das, auf manchen Windows Systemen allerdings nicht. Ich denke dass ist Netzwerkkarten und Treiberabhangig.

Ich wiirde dir empfehlen, niemals auf der gleichen Zieladresse parallel zu arbeiten.
Aktuell kdnnen wir das leider (noch) nicht reproduzierbar auf allen Systemen detektieren.

#5 - 2022-01-17 09:37 - hidden
Hallo Dennis,
kdnnen wir das Ticket damit schlieBen oder benétigst du noch weitere Unterstitzung?

GriiBe
Margarete

#6 - 2022-01-17 09:44 - hidden
Hallo Margarete,
ich hatte nur noch eine kleine Frage.

Ware es mdglich in Zukunft den Quick Launch so zu implementieren, dass wenn man mit Quick Launch eine Session startet automatisch der néchst
héhere freie Port vergeben wird, anstatt immer default den Port 8000 zu nehmen?

Also beim ersten starten mit Quick Launch wird Port 8000 vergeben und dann wenn man die Session ein 2. mal mit Quick Launch starten will ein
héherer freier Port automatisch vergeben wird?

Viele GruBe
Dennis

#8 - 2022-01-18 07:46 - hidden

- Status changed from Customer Feedback Required to In Progress
#9 - 2022-01-18 14:48 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Dennis,

wie gesagt, wir haben hier aufgrund dessen, dass wir auf Windows das reuse flag aktivieren miissen, das Problem, dass hier kein Fehler kommt.
Ergo misste man entweder herausfinden, ob bereits ein URL "blockiert" ist (einen solchen Scan gibt es derzeit nicht) oder der CE "merkt" sich den
letzten Call. Das gilt dann aber nur pro Instanz... und misste dann eigentlich auswerten, ob ggf. eine Verbindung wieder frei wird, was sich zum
ersten Punkt bringt.

Zumal man auch (generisch) gewéhrleisten muss, dass es User geben kann, die eine Adresse explizit wollen und keine freie verfligbare, womit man
auch diesen Use Case abdecken muss.

Technisch sicherlich alles irgendwie machbar aber mit massiven Overhead derzeit on hold.

Da aber ein einfaches port++ (inkrementieren) zu Problemen und nicht deterministischem Verhalten fihren kann, ist dieser Weg Stand heute rejected
und deshalb der Quick Launch so definiert, immer auf localhost:8000 zu starten.

Das geht entweder gut (Windows) oder wird abgelehnt (Linux).

In beiden Fallen hat der Anwender die Mdglichkeit, aletrnativ einen freien Port zu finden/wahlen (Launch And Enable Remote Connection).

Wenn es auf allen Platformen mal gleich l&uft, macht eine Scan/Discover ggf Sinn, vorher leider nicht.
Ebenso dann auch ein Check, welche Interfaces zur Verfigung stehen:

e [ACORE-8073] - Discover on which interfaces the system can be connected
In Summe aber ein derzeit aufwandiges und nicht eingeplantes Konzept.
#10 - 2022-01-18 14:52 - hidden
Hallo Florian,
alles klar danke fur die Information. Dann weif3 ich Bescheid.
Das Ticket kann somit geschlossen werden.

Viele GruBBe
Dennis

#11 - 2022-01-18 17:07 - hidden

- Project changed from 30 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to Solved Issue

#12 - 2023-02-09 08:19 - hidden
- Status changed from To Be Closed to Closed
